include <imhdr.h>
include "quad.h"

pointer procedure quadmap (rootname, quadrant, mode, im)

char	rootname[SZ_FNAME]	#I Root name for output quadrants
int	quadrant		#I Quadrant number
int	mode			#I Access mode
pointer	im			#I Pointer to input image

pointer	quad			#O Pointer to quadrant image

char	quadname[SZ_FNAME]
char	ext[SZ_LINE]

pointer	immap()

begin
	switch (quadrant) {
	case 1:
	    call strcpy (QUAD1, ext, SZ_LINE)
	case 2:
	    call strcpy (QUAD2, ext, SZ_LINE)
	case 3:
	    call strcpy (QUAD3, ext, SZ_LINE)
	case 4:
	    call strcpy (QUAD4, ext, SZ_LINE)
	}

	# Map quadrant image
	call sprintf (quadname, SZ_LINE, "%s.%s")
	    call pargstr (rootname)
	    call pargstr (ext)
	quad = immap (quadname, mode, im)

	if (mode == NEW_COPY) {
	    IM_LEN (quad, 1) = IM_LEN (im, 1) / 2
	    IM_LEN (quad, 2) = IM_LEN (im, 2) / 2
	}

	return (quad)
end
